Skip to content
Ordinal
Esc
↑↓navigate↵open⌘Jpreview

Unschedule post

Cancel a scheduled post. The post status will be changed to Finalized and any pending scheduled publishes will be cancelled.

POST/posts/{id}/unschedule
Authorization
AuthorizationBearer token · headerrequired

API key authentication. Generate an API key from your workspace settings.

Path parameters
idstring<uuid>required

Post ID (UUID)

Responses
200

Post unscheduled successfully

idstring<uuid>
urlstring<uri>
titlestring
channelsstring[]
statusPostStatus
Allowed:TentativeToDoInProgressForReviewBlockedFinalizedScheduledPosted
publishDatestring | null

Publish date (YYYY-MM-DD) in workspace timezone. May be null if not set.

publishAtstring<date-time> | null

Publish datetime UTC. May be null if not set.

updatedAtstring<date-time>
400

Bad Request - Invalid input parameters

codestring
messagestring
dataobject
Show properties
errorsobject
401

Unauthorized - Missing or invalid API key

codestring
messagestring
404

Not Found - Resource does not exist

codestring
messagestring
Try it
Server
Authorization
Parameters
Request
curl -X POST 'https://app.tryordinal.com/api/v1/posts/497f6eca-6276-4993-bfeb-53cbbbba6f08/unschedule' \
  -H 'Authorization: Bearer YOUR_TOKEN'
Response
{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "url": "https://app.tryordinal.com/acme/posts/550e8400-e29b-41d4-a716-446655440000",
  "title": "Q4 Product Launch Announcement",
  "channels": [
    "LinkedIn",
    "Twitter"
  ],
  "status": "Finalized",
  "publishDate": "2026-01-20",
  "publishAt": "2026-01-20T14:00:00.000Z",
  "updatedAt": "2026-01-19T11:00:00.000Z"
}